## python-pankoclient 0.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=2.18.0 # Apache-2.0
osc-lib>=1.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
pbr>=1.8 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-pankoclient (0.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:55:27 +0000

python-pankoclient (0.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 21:23:02 +0000

python-pankoclient (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #888923)

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Jan 2018 09:10:08 +0100

=== debian/control ===
Source: python-pankoclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-hacking,
 python-keystoneauth1,
 python-mock,
 python-openstackclient (>= 3.3.0),
 python-openstackdocstheme (>= 1.11.0),
 python-osc-lib (>= 1.2.0),
 python-oslo.i18n,
 python-oslo.serialization,
 python-oslo.utils (>= 3.18.0),
 python-oslotest,
 python-pbr,
 python-requests,
 python-requests-mock (>= 1.1),
 python-six,
 python-testscenarios,
 python3-keystoneauth1,
 python3-mock,
 python3-openstackclient (>= 3.3.0),
 python3-osc-lib (>= 1.2.0),
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.18.0),
 python3-oslotest,
 python3-pbr,
 python3-requests,
 python3-requests-mock (>= 1.1),
 python3-six,
 python3-testscenarios,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-pankoclient.git
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-pankoclient.git
Homepage: http://github.com/openstack/python-pankoclient

Package: python-pankoclient
Architecture: all
Depends:
 python-keystoneauth1,
 python-osc-lib (>= 1.2.0),
 python-oslo.i18n,
 python-oslo.serialization,
 python-oslo.utils (>= 3.18.0),
 python-pbr,
 python-requests,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-pankoclient-doc,
Description: Client library for OpenStack panko server - Python 2.x
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This is a client library for Panko built on the Panko API. It provides a
 Python API (the pankoclient module) and a OSC (the openstackclient CLI)
 command-line tool (openstack event).
 .
 This package provides the Python 2.x module.

Package: python-pankoclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for OpenStack panko server - doc
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This is a client library for Panko built on the Panko API. It provides a
 Python API (the pankoclient module) and a OSC (the openstackclient CLI)
 command-line tool (openstack event).
 .
 This package provides the documentation and man page.

Package: python3-pankoclient
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-osc-lib (>= 1.2.0),
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.18.0),
 python3-pbr,
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pankoclient-doc,
Description: Client library for OpenStack panko server - Python 3.x
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This is a client library for Panko built on the Panko API. It provides a
 Python API (the pankoclient module) and a OSC (the openstackclient CLI)
 command-line tool (openstack event).
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.stdpkg.make

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/python-pankoclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-pankoclient 0.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=3.4.0  # Apache-2.0
osc-lib>=1.8.0  # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
pbr>=1.8 # Apache-2.0
requests>=2.14.2  # Apache-2.0
six>=1.9.0 # MIT

=== doc/requirements.txt ===
sphinx>=1.6.2  # BSD
openstackdocstheme>=1.11.0 # Apache-2.0

=== debian/changelog ===
python-pankoclient (0.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 04 Sep 2018 22:46:03 +0200

python-pankoclient (0.5.0-1) experimental; urgency=medium

  [ Michal Arbet ]
  * New upstream version
  * d/control: Update dependencies
  * d/control: Add me to uploaders field
  * d/control: Remove python2 sphinx, openstackdocstheme packages
  * d/rules: Completly rewrited
  * d/copyright: Update copyright

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 21 Aug 2018 12:53:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,50 @@
 Source: python-pankoclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 10~),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 82~),
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-coverage,
- python-hacking,
- python-keystoneauth1,
+ python-hacking (>= 0.12.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-mock,
  python-openstackclient (>= 3.3.0),
- python-openstackdocstheme (>= 1.11.0),
- python-osc-lib (>= 1.2.0),
+ python-osc-lib (>= 1.11.0),
  python-oslo.i18n,
  python-oslo.serialization,
  python-oslo.utils (>= 3.18.0),
  python-oslotest,
  python-pbr,
- python-requests,
+ python-requests (>= 2.14.2),
  python-requests-mock (>= 1.1),
  python-six,
  python-testscenarios,
- python3-keystoneauth1,
+ python3-coverage,
+ python3-hacking (>= 0.12.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-mock,
  python3-openstackclient (>= 3.3.0),
- python3-osc-lib (>= 1.2.0),
+ python3-openstackdocstheme (>= 1.11.0),
+ python3-osc-lib (>= 1.11.0),
  python3-oslo.i18n,
  python3-oslo.serialization,
  python3-oslo.utils (>= 3.18.0),
  python3-oslotest,
  python3-pbr,
- python3-requests,
+ python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.1),
  python3-six,
  python3-testscenarios,
@@ -55,13 +58,13 @@
 Package: python-pankoclient
 Architecture: all
 Depends:
- python-keystoneauth1,
- python-osc-lib (>= 1.2.0),
+ python-keystoneauth1 (>= 3.4.0),
+ python-osc-lib (>= 1.11.0),
  python-oslo.i18n,
  python-oslo.serialization,
  python-oslo.utils (>= 3.18.0),
  python-pbr,
- python-requests,
+ python-requests (>= 2.14.2),
  python-six,
  ${misc:Depends},
  ${python:Depends},
@@ -102,13 +105,13 @@
 Package: python3-pankoclient
 Architecture: all
 Depends:
- python3-keystoneauth1,
- python3-osc-lib (>= 1.2.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-osc-lib (>= 1.11.0),
  python3-oslo.i18n,
  python3-oslo.serialization,
  python3-oslo.utils (>= 3.18.0),
  python3-pbr,
- python3-requests,
+ python3-requests (>= 2.14.2),
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-pankoclient-doc/usr/share/doc/python-pankoclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-pankoclient 0.7.0

=== debian/changelog ===
python-pankoclient (0.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:44:48 +0200

python-pankoclient (0.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 09:06:41 +0200

python-pankoclient (0.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:22:47 +0200

python-pankoclient (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 22:28:55 +0100

=== debian/control ===
Source: python-pankoclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-mock,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-pbr,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-testscenarios,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-pankoclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-pankoclient.git
Homepage: http://github.com/openstack/python-pankoclient

Package: python-pankoclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for OpenStack panko server - doc
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This is a client library for Panko built on the Panko API. It provides a
 Python API (the pankoclient module) and a OSC (the openstackclient CLI)
 command-line tool (openstack event).
 .
 This package provides the documentation and man page.

Package: python3-pankoclient
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pbr,
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pankoclient-doc,
Description: Client library for OpenStack panko server - Python 3.x
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This is a client library for Panko built on the Panko API. It provides a
 Python API (the pankoclient module) and a OSC (the openstackclient CLI)
 command-line tool (openstack event).
 .
 This package provides the Python 3.x module.

## python-pankoclient 1.1.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-pankoclient (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 17:02:51 +0200

python-pankoclient (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 16:23:22 +0200

python-pankoclient (1.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:31:46 +0200

python-pankoclient (1.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2020 17:25:37 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-coverage,
  python3-hacking,
  python3-keystoneauth1,
- python3-mock,
  python3-openstackclient,
  python3-openstackdocstheme,
  python3-osc-lib,
@@ -26,7 +25,6 @@
  python3-oslo.utils,
  python3-oslotest,
  python3-osprofiler,
- python3-pbr,
  python3-requests,
  python3-requests-mock,
  python3-six,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-pankoclient-doc/usr/share/doc/python-pankoclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-pankoclient 1.2.0

=== requirements.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.utils>=3.18.0 # Apache-2.0
+osprofiler>=1.4.0 # Apache-2.0
 pbr>=1.8 # Apache-2.0
 requests>=2.14.2  # Apache-2.0
 six>=1.9.0 # MIT

=== debian/changelog ===
python-pankoclient (1.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:49:16 +0200

python-pankoclient (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Debhelper 11.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 16:23:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -31,7 +31,7 @@
  python3-testscenarios,
  subunit,
  testrepository,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-pankoclient
 Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-pankoclient.git
 Homepage: http://github.com/openstack/python-pankoclient

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-pankoclient/tags .*/(\d[brc\d\.]+)\.tar\.gz
